ENiSDA - Feature #706
Backlog # 705 (In Progress): Study visits

Suggest date for study visit in Kristianstad after summer
03/11/2025 03:53 PM - Leif Haggmark

Status: Closed Start date: 03/07/2025
Priority: Normal Due date: 04/03/2025
Assignee: Petar Mitrovic % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 03/11/2025 03:54 PM - Leif Haggmark

- Assignee set to Petar Mitrovic

#2 - 04/03/2025 09:46 AM - Leif Higgmark

- Status changed from New to Closed

04/04/2025

1/1



http://www.tcpdf.org

